org.eclipse.gef.dot.internal.ui.language.contentassist

## Class DotProposalProviderDelegator

- java.lang.Object
- - org.eclipse.gef.dot.internal.ui.language.contentassist.DotProposalProviderDelegator

    public class DotProposalProviderDelegator
    extends Object

The implementation of this class is mainly taken from the org.eclipse.xtext.junit4.ui.ContentAssistProcessorTestBuilder java class.

### Constructor Summary

Constructors
Constructor and Description
`DotProposalProviderDelegator(String language)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<org.eclipse.xtext.ui.editor.contentassist.ConfigurableCompletionProposal>` `computeConfigurableCompletionProposals(String text, int cursorPosition)` Computes the configurable completion proposals considering the given text and the given cursorPosition.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotProposalProviderDelegator

    public DotProposalProviderDelegator(String language)

### Method Detail

#### computeConfigurableCompletionProposals

    public List<org.eclipse.xtext.ui.editor.contentassist.ConfigurableCompletionProposal> computeConfigurableCompletionProposals(String text,
                                                                                                                                 int cursorPosition)

Computes the configurable completion proposals considering the given text and the given cursorPosition.

Parameters:
  `text` - The current text to parse.
  `cursorPosition` - The cursor position within the given text.
Returns:
  The configurable completion proposals valid on the given cursor position within the given text. Returns an empty list if the proposals cannot be determined.